ES:
No se puede decir que sea exactamente un error. Está claro que las áreas de influencia siempre tienen un margen de error al ser
representadas por segmentos rectos. Pero en la versión actual de gvSIG se evidencia una reducción significativa de esta precisión. Y
en particular se evidencia un comportamiento diferente la analizar áreas entorno a un punto y áreas entorno a un polígono. Sirva la
imagen adjunta de ilustración.

En la imagen se superpone una grilla:
- de puntos cada 2m (rojo oscuro)
- una área de influencia de 3 anillos cada 50m, ejecutado sobre un punto seleccionado. (relleno verde, borde gris oscuro grueso)
- 3 áreas de influencia sucesiva cada 50m, la primera sobre el punto. (borde rojo claro, fino).

Puede verse el vector de medición del anillo medio con una longitud de 96.66m

El resultado presenta variaciones máximas del orden del 3%

History
#1 - 02/04/2019 03:40 PM - Álvaro Anguix
- Category set to Geoprocess

#2 - 04/10/2020 01:09 PM - Álvaro Anguix
- Status changed from New to Won't fix

He estado probando con un caso similar al que planteas y a mi las áreas de influencia sí me dan coincidentes entre ejecutarla con 3 anillos, y 3
ejecuciones sucesivas sobre un punto. Está claro que si se ejecuta sobre un elemento que ya no es circular se irán transmitiendo diferencias, pero es
el comportamiento lógico si el usuario actúa así en lugar de ejecutar sobre el punto origen del área de influencia. Lo paso a won't fix.

#3 - 04/12/2020 09:35 PM - Mario Fevre
- File pantalla.png added

Ante todo respeto los criterios adoptdos por el equipo de gvSIG.
Pero humildemente quisiera visibilizar la experiencia del usuario aquí.
Es cierto que la imprecisión que he identificado no es siempre igual, y que está relacionada con la simplificación de las geometrías base durante la
definición del área de influencia.
Es razonable que dicha simplificación exista, y para geometrías complejas es fundamental.
Sin embargo para geometrías simples cuando un usuario analiza el territorio, y estudia un barrio con 624 viviendas, y debe decidir por un criterio de
proximidad a que viviendas se les aplica una política y a que viviendas se les aplica otra, Puede resultar difícil de explicar a la población, que estas 8
viviendas recibirán esa política aunque se encuentran fuera del polígono.(ver imagen)
Por lo expuesto, les recomiendo, mover este asunto a feature request, incluyendo un campo para ajustar la sensibilidad de simplificación del
algoritmo.

#4 - 04/13/2020 09:25 AM - Álvaro Anguix
- Status changed from Won't fix to New
- Tracker changed from gvSIG bugs to gvSIG feature requests

Hecho.
